Package io.dapr.config

# Class GenericProperty<T>

java.lang.Object
io.dapr.config.Property<T>
io.dapr.config.GenericProperty<T>

public class GenericProperty<T> extends Property<T>
Configuration property for any type.

## Method Summary

Modifier and Type
Method
Description
`protected T`
`parse(String value)`
Parses the value to the specific type.

### Methods inherited from class io.dapr.config.Property

`get, get, getEnvName, getName, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Method Details

### parse

protected T parse(String value)
Parses the value to the specific type.

Specified by:
  `parse` in class `Property<T>`
Parameters:
  `value` - String value to be parsed.
Returns:
  Value in the specific type.